Package org.eclipse.gef.common.collections

# Enum Class ListListenerHelperEx.ElementarySubChange.Kind

java.lang.Object
java.lang.Enum<ListListenerHelperEx.ElementarySubChange.Kind>
org.eclipse.gef.common.collections.ListListenerHelperEx.ElementarySubChange.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<ListListenerHelperEx.ElementarySubChange.Kind>`, `Constable`

Enclosing class:
  ListListenerHelperEx.ElementarySubChange<E>

public static enum ListListenerHelperEx.ElementarySubChange.Kind extends Enum<ListListenerHelperEx.ElementarySubChange.Kind>
The kind of change that is performed to the `ObservableList`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
Addition of elements.
`PERMUTATE`
Permutation of elements.
`REMOVE`
Removal of elements.
`REPLACE`
Replacement of elements.

## Method Summary

Modifier and Type
Method
Description
`static ListListenerHelperEx.ElementarySubChange.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ListListenerHelperEx.ElementarySubChange.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final ListListenerHelperEx.ElementarySubChange.Kind ADD
Addition of elements.

### REMOVE

public static final ListListenerHelperEx.ElementarySubChange.Kind REMOVE
Removal of elements.

### REPLACE

public static final ListListenerHelperEx.ElementarySubChange.Kind REPLACE
Replacement of elements.

### PERMUTATE

public static final ListListenerHelperEx.ElementarySubChange.Kind PERMUTATE
Permutation of elements.

## Method Details

### values

public static ListListenerHelperEx.ElementarySubChange.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ListListenerHelperEx.ElementarySubChange.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null